package cz.muni.fi.lasaris.sbms.data.entities;

import java.time.Duration;
import java.time.LocalDateTime;

public class SeriesSpecs {
	private LocalDateTime start;
	private LocalDateTime end;
	private Sampling sampling;
	private Interpolation interpolation;
	private Duration samplingDuration;
	private String samplingCron;
	
	public LocalDateTime getStart() {
		return start;
	}

	public LocalDateTime getEnd() {
		return end;
	}

	public Sampling getSampling() {
		return sampling;
	}

	public Interpolation getInterpolation() {
		return interpolation;
	}

	public Duration getSamplingDuration() {
		return samplingDuration;
	}

	public String getSamplingCron() {
		return samplingCron;
	}

	public SeriesSpecs(LocalDateTime start, LocalDateTime end) {
		this.start = start;
		this.end = end;
		this.sampling = Sampling.NONE;
	}

	public SeriesSpecs(LocalDateTime start, LocalDateTime end, Duration samplingDuration, Interpolation interpolation) {
		this.start = start;
		this.end = end;
		this.samplingDuration = samplingDuration;
		this.sampling = Sampling.DURATION;
		this.interpolation = interpolation;
	}

	public SeriesSpecs(LocalDateTime start, LocalDateTime end, String samplingCron, Interpolation interpolation) {
		this.start = start;
		this.end = end;
		this.samplingCron = samplingCron;
		this.sampling = Sampling.CRON;
		this.interpolation = interpolation;
	}
	
	
	
	
	
	
	
}
